Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface LibraryContainer

    org.gradle.api.NamedDomainObjectSet
      java.lang.Iterable
          org.gradle.api.NamedDomainObjectCollection
              org.gradle.api.DomainObjectCollection
                  org.gradle.nativebinaries.LibraryContainer
                      java.util.Collection

All Superinterfaces:
  NamedDomainObjectSet, Iterable, NamedDomainObjectCollection, DomainObjectCollection, Collection

    @Incubating
    public interface LibraryContainer
    extends NamedDomainObjectSet

A container of native libraries.

Method Summary

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Methods inherited from interface NamedDomainObjectCollection
add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getNames, getRules, matching, matching, withType

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Gradle API 1.10